import { Modal, ModalService } from '@zeedhi/common';

export class TrendAnalysisModalController {
  private trendAnalysisModal!: Modal;

  public async createTrendAnalysisModal() {
    this.trendAnalysisModal = await ModalService.createFromJson('/modals/trendAnalysisModal', true);
  }

  public destroyTrendAnalysisModal() {
    this.trendAnalysisModal?.destroy();
  }

  public openTrendAnalysisModal() {
    this.trendAnalysisModal.show();
  }

  public closeTrendAnalysisModal() {
    this.trendAnalysisModal.hide();
  }
}
