import { Modal, ModalService } from '@zeedhi/common';

export class AFDeliveryLastWeekModalController {
  private aFDeliveryLastWeekModal!: Modal;
  
  private daySelected: string = '';

  public async createAFDeliveryLastWeekModal() {
    this.aFDeliveryLastWeekModal = await ModalService.createFromJson('/modals/aFDeliveryLastWeekModal', true);
  }

  public destroyAFDeliveryLastWeekModal() {
    this.aFDeliveryLastWeekModal?.destroy();
  }

  public openAFDeliveryLastWeekModal({ component, config }) {
    this.daySelected = component.options.xaxis.categories[config.dataPointIndex];
    this.aFDeliveryLastWeekModal.show();
  }

  public closeAFDeliveryLastWeekModal() {
    this.aFDeliveryLastWeekModal.hide();
  }
}
