import { Modal, ModalService } from '@zeedhi/common';

export class ExceptionProfileModalController {
  private exceptionProfile!: Modal;

  public async createExceptionProfile() {
    this.exceptionProfile = await ModalService.createFromJson('/modals/exceptionProfileModal', true);
  }

  public destroyExceptionProfile() {
    this.exceptionProfile?.destroy();
  }

  public openExceptionProfile() {
    this.exceptionProfile.show();
  }
  
  public closeExceptionProfile() {
    this.exceptionProfile.hide();
  }
}
